'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _ExclamationCircleSolidIcon = require('../../Icons/ExclamationCircleSolidIcon');

var _ExclamationCircleSolidIcon2 = _interopRequireDefault(_ExclamationCircleSolidIcon);

var _colorCodes = require('../../colorCodes');

var _styles = require('./styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Notification = function (_Component) {
    _inherits(Notification, _Component);

    function Notification(props) {
        _classCallCheck(this, Notification);

        var _this = _possibleConstructorReturn(this, (Notification.__proto__ || Object.getPrototypeOf(Notification)).call(this, props));

        _this.onRemoveClick = function (e) {
            _this.props.onRemoveClick(e, _this.props.id);
        };

        Notification.defaults.stateColors = {
            '': _this.props.theme.accent.primary,
            default: _this.props.theme.accent.primary,
            success: _this.props.theme.states.success,
            warning: _this.props.theme.states.warning,
            error: _this.props.theme.states.error
        };
        return _this;
    }

    _createClass(Notification, [{
        key: 'render',
        value: function render() {
            return _react2.default.createElement(
                _styles.NotificationWrapper,
                null,
                _react2.default.createElement(
                    _styles.Left,
                    null,
                    _react2.default.createElement(
                        _styles.ExclamationCircleSolidIconWrapper,
                        null,
                        _react2.default.createElement(_ExclamationCircleSolidIcon2.default, {
                            color: Notification.defaults.stateColors[this.props.state],
                            width: '18px'
                        })
                    ),
                    _react2.default.createElement(
                        _styles.NotificationMessageContainer,
                        null,
                        this.props.message
                    )
                ),
                _react2.default.createElement(_styles.NotificationCrossIcon, {
                    className: 'fa fa-times-circle',
                    onClick: this.onRemoveClick
                })
            );
        }
    }]);

    return Notification;
}(_react.Component);

Notification.defaults = {};


Notification.propTypes = {
    id: _propTypes.PropTypes.number.isRequired,
    state: _propTypes.PropTypes.string,
    message: _propTypes.PropTypes.string,
    onRemoveClick: _propTypes.PropTypes.func.isRequired
};

Notification.defaultProps = {
    state: 'default',
    message: '',
    theme: _extends({}, _colorCodes.guidelineColors)
};

exports.default = Notification;